#include <bits/stdc++.h>
using namespace std;
int main()
{
	ifstream f1("BAI2_17.INP");
	ofstream f2("BAI2_17.OUT");
	int k,m,n,i,dem=0;
	f1>>k>>m>>n;
	for(i=1;i<=n;i++)
	{
	     if((i%m==0)||(i%k==0))dem++;	
	}
	f2<<dem;
}
